Page MenuHomePhabricator

Add page-protectionlevel on French Wikipedia
Closed, ResolvedPublic

Description

Please see this poll.

The result is that on fr.wikipedia, the community wishes to add a new protection level for pages, which allows only users in the group autopatrolled to edit.

Thank you!

Event Timeline

0x010C created this task.Mar 28 2016, 10:13 PM
Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptMar 28 2016, 10:13 PM
Luke081515 renamed this task from Add on french wikipedia to Add page-protectionlevel on french wikipedia.Mar 28 2016, 10:15 PM
Luke081515 triaged this task as Normal priority.
0x010C updated the task description. (Show Details)Mar 28 2016, 10:16 PM
Thibaut120094 renamed this task from Add page-protectionlevel on french wikipedia to Add page-protectionlevel on French Wikipedia.Mar 28 2016, 10:25 PM
Thibaut120094 awarded a token.
Thibaut120094 added a subscriber: Thibaut120094.

What should it be called?

Luke081515 moved this task from Backlog to Working on on the Wikimedia-Site-requests board.
Luke081515 added a subscriber: Luke081515.

I would do this, if the discussion about the name is finished.

Restricted Application added a project: User-Luke081515. · View Herald TranscriptMar 28 2016, 10:54 PM
This comment was removed by 0x010C.
This comment was removed by Thibaut120094.
Sebk added a subscriber: Sebk.EditedMar 28 2016, 11:28 PM

@Luke081515
to respond to your questions on wp:fr
first name : "Autoriser uniquement les utilisateurs autopatrolled" should be good
second name : editautopatrolled or editautopatrolledprotection or something like that

Luke081515 changed the task status from Open to Stalled.Mar 28 2016, 11:33 PM
Luke081515 added a subscriber: Dereckson.

@0x010C That was not Krenairs message, that was mine :) As @Dereckson said, I would be easy to use the messages from enwp, in this case the right for your protection level would be 'editnewbieprotected" (You can define a custom name for the protection interface, but the protection log would use this name). But we can you use a new name too, so it is upon your community to decide, (I think you need only a short poll, but that's up to you to decide that, not my choice) and then we can change the config so that you can use the new level.

@Sebk I think your community should decide that, but thanks for proposals. In general I guess a three day poll is enough, but I don't know how the french community handles this.

(Changing the status to stalled till the community vote about the name has finished)

Luke081515 moved this task from Backlog to Blocked on the User-Luke081515 board.Mar 28 2016, 11:34 PM

Ok, I already prepared the changes local, with the at the moment most popular name. (Of course I would change it, if another name has more consensus). So please write a comment here, if the poll is finished, then we can quick move forward.

Sebk added a comment.Apr 1 2016, 11:58 PM

@Luke081515

the poll is finished.

the two names chosen by the community are :

Autoriser uniquement les utilisateurs autopatrolled

and

editextendedsemiprotected

Luke081515 changed the task status from Stalled to Open.Apr 2 2016, 12:20 AM

Change 281068 had a related patch set uploaded (by Luke081515):
Add messages for 'editextendedsemiprotected' protection level

https://gerrit.wikimedia.org/r/281068

Change 281070 had a related patch set uploaded (by Luke081515):
Add 'editextendedsemiprotected' protection level on dewiki

https://gerrit.wikimedia.org/r/281070

So in general the patches are ready for deploy, but we need to create the sysmessages locally first, and clarify the thing with sysops/bots. I already posted both at the end of your poll.

This comment was removed by Dereckson.

Change 281068 merged by jenkins-bot:
Add messages for 'editextendedsemiprotected' protection level

https://gerrit.wikimedia.org/r/281068

Change 281070 merged by jenkins-bot:
Add 'editextendedsemiprotected' protection level on frwiki

https://gerrit.wikimedia.org/r/281070

Luke081515 closed this task as Resolved.Apr 4 2016, 11:38 PM

Deployed.

Change 281844 had a related patch set uploaded (by Alex Monk):
Add messages for 'editextendedsemiprotected' protection level

https://gerrit.wikimedia.org/r/281844

Change 281844 abandoned by Alex Monk:
Add messages for 'editextendedsemiprotected' protection level

Reason:
wrong one

https://gerrit.wikimedia.org/r/281844